 







            Scheduling Employees for Windows Version 4.08



                       A tool for Managers




































                  Guia International Corporation
                       731 Edgewater place
                     Kennesaw, Georgia 30144
                         (404)926-6085






Table of contents ~
-----------------

Introduction ............................................ 1

Equipment needed ........................................ 2

Mouse tracking .......................................... 2

Installation ............................................ 2

Display matching ........................................ 3

Using the Menus ......................................... 3

The Opening Screen ...................................... 3

The Editors.............................................. 3

Edit controls ........................................... 4

Display of totals ....................................... 4

The time bar ............................................ 4

Making a new time bar ................................... 4

Move a time bar ......................................... 5

Changing a time bar ..................................... 5

Deleting a time bar ..................................... 5

Copy an Employee's day of time bars ..................... 5

Move a time bar past midnight ........................... 5

Entering and changing Day Types ......................... 5

Dual Assignments ........................................ 6

Copy a Department Day Schedules ......................... 6

Repeat a week schedule .................................. 6

The Time and Wages distribution Graph ................... 6

Flag under-age Employees ................................ 6

Passwords protection .................................... 7

Reports ................................................. 7

Schedule file names ..................................... 7

Print Schedules ......................................... 7


Departments ............................................. 8

Employees ............................................... 8

Hourly and Salaried Employees ........................... 9

Employee availability for work .......................... 9

About Dates ............................................. 9

To start the Program after installation ................. 9

Technical information ................................... 9

Registration ............................................ 10

Technical Support ....................................... 10









































Introduction ~
------------

Guia International offers two Employee schedulers;

o - This program, "Scheduling Employees for Windows",
    was developed for those institutions that have mostly
    part-time help and keep an eye on the bottom line, time
    and labor cost as they schedule. Scheduling is done by
    dragging the mouse to enter working start and stop times.
    PC-World in the February, 1994 issue selected this
    program as a best business program and commented, "This
    program is why Windows has become standard equipment"

o - "Employee Scheduling Assistant for Windows" is designed
    for businesses that have for the most part full-time
    employees and want to do shift assignment, keeping track
    of vacations, sick days etc. A shift rotation template
    allows easy assignments of shifts.
    A window for each day and for each employee, may contain
    appointments comments and other information.
    Schedules are for three years, and may start on any month
    for a business year. An Employee's scheduled for a year
    and a Department's for a Month may be viewed on a single
    screen.

This program "Scheduling Employees for Windows" is widely
used in restaurants and other businesses.

The application is designed for managers to schedule personnel
resources while monitoring the time and wages as the scheduling
process progresses. Daily activities may be detailed by
assigning "Day Types". Day Types are a single characters such
as V= Vacation. Ten Day Types may be specified for the use in
each Department.

A graph will display the time and wage distribution
for a 24 hours period for each hour and the number of
employees scheduled for every 15 Minutes.

The scheduling function needs a Department with Employees
to begin scheduling. Schedules are for a one week period.
You may schedule up to 150 Employees in each of up to
99 Departments.

To make the application more "User friendly", the user
will not have to deal with Directories and SubDirectories.
If details of a technical nature are needed, see the
section entitled "Technical information".









The application is divided in two parts:

          1 - The opening screen. It contains functions
              related to the application, Departments and
              Employees.

          2 - The Editors perform the scheduling and
              schedule printing functions.

          3 - The Graph will show the Employee, time and
              currency distribution for a 24 Hour period
              with the option to print these statistics.


Equipment needed ~
----------------

You will need;

o - An IBM or compatible PC (286 or higher)
o - A combination of at least one diskette drive and one
    fixed(hard) disk.
o - Microsoft Windows 3.1 or later.
o - A mouse or pointing device must be attached.
o - A VGA Monitor.
o - A printer to print reports and schedules,
    a laser printer is preferred.

Mouse Tracking ~
--------------

Since almost all functions are directed through mouse action,
it is a good idea to slow the pointer movement on the screen.
To slow down the Mouse Tracking:

o - From the Window Program Manager, select the Control
    Panel.
o - Click on Mouse.
o - Move the Mouse tracking speed towards Slow.
o - Move the mouse and see if the move feels comfortable.
o - Click on Ok to save the setting.

Installation ~
------------

Before installing the application, make a backup
copy of the program. Since the program is not copy protected,
you may use the DOS command DISKCOPY or COPY *.*

Insert the program diskette in Drive A:
From the Windows Program Manager, select "File", then "Run" and
type a:setup when asked. All the Programs and files will be
installed, you will be prompted for the Disk drive and
Directory that you want these files to be located, a
default path is offered.



Display matching ~
----------------

If the display does not match the setup as a VGA display,
change the Video Driver in the Program Manager "Main".
The resolution, should be set at 640x480, the character size
to Normal and Colors to 16.

Using the Menus ~
---------------

The Scheduling Employees for Windows, uses drop-down menus.
Just point at the heading and press the left mouse button and
a further selection can then be made.

The Opening Screen ~
------------------

The purpose of the Opening screen is to;

   o - Set up new Departments with Day Types.
   o - Enter, change or delete Employee records.
   o - Print reports, Invoice and this manual with page numbers.
   o - Set up options for file designation,time
       format and day starting hour in the Editor.
   o - Help if needed.
   o - Exit the application.

Click on "Schedule" to go to the Editor.

The Editors~
-----------

Entering and changing schedules is performed in the Editors.
There are two Editors;
                       o - All Employees for one day
                       o - One Employee for one week

To switch from the main Editor to the Employee Editor, click
the mouse on the Employee's name on the left of the screen.
To become familiar with the application, some files are added
during the installation process. These files created the
"Example Department" with fictitious names for Employees and
a single Schedule-file based on the date of installation.
The Department represents a restaurant with Servers, Cashiers
and Cooks. Take a look at the screens, edit times in the
Editor, sort based on start and stop times. Note that the
Schedule file name is "Year-Month-Day.Weekday" so when you
choose a Schedule-file the oldest dates are on top.
Currency for Salaried employees, is only shown as a total
in the individual Editor and Schedule Reports.
No adjustments are made for "Overtime", the currency totals
are strictly time scheduled multiplied by the hourly rate.
Click on "Graph" at the bottom of the screen, and the
distribution for that day will be displayed.
By clicking the mouse "Assignments" you can further
break this information down and even print it.

Edit controls ~
-------------

Note the "Scroll bars" in the Editor, from left to right you
may scroll to go from midnight to midnight on the top scroll
bar (Scrolling hours) or from day to day on the bottom
one (Scrolling days).  If you point on the arrows, the
increments are one, any other place, on the top bar equals 6
Hours on the bottom bar 3 Days.
To quickly go from Midnight to Midnight, two controls on the
bottom of the screen can be used.

Nineteen Employees will fit on a screen, the vertical scroll
bar will only be displayed if you have more than nineteen.
To quickly go from to first to the last page, two controls use
on the bottom of the screen marked "First page" and "Last page".

Display of totals ~
-----------------

Also notice some option button that you can click. The column
next to the Employee name will change based on these option
buttons. As you progress with the scheduling process, this
column will display daily or weekly accumulated totals for time
or currency for Employees that have an hourly pay-rate.
NOTE!!! The daily time and currency totals displayed, are for
that day only, in contrast to the daily totals in the Schedule
Report that are the shift totals and include time after midnight
if the shift started on the previous day.

The time bar ~
------------

Time is entered and changed in the Editor screen.
The representation of time is the "Time bar".
You may have up to 34 Start and Stops per week for
each Employee. Since the accumulated time is displayed
as an option, unpaid break-times such as a lunch break
should also be entered.
Note: An arrow is displayed under the "Hour-ruler" to
show the current mouse position. As you enter time by
dragging the mouse, a bar under the ruler will show you

the progress. After the bar is completed the bar is
adjusted to the nearest 15 minutes. You may choose to
color of the bar under "Options" in the Opening screen.

Making a new time bar ~
---------------------

Start and stop times are entered by pointing the mouse
at an editor line, pressing the left button and holding it
down while dragging the mouse from left to right or right to
left.




Move a time bar ~
---------------

Pointing to the bar, away from either end and while holding
down the left button, will allow movement from left to right.
Any conflict or override with existing bar will be resolved
automatically.

Changing a time bar ~
-------------------

Pointing the mouse to the beginning or the end of a bar will
allow stretching or decreasing the bar size.

Deleting a time bar ~
-------------------

A quick double click anywhere on the bar will delete the bar.
Pointing to the end of a bar and decreasing the bar size to
less than 15 minutes, will also delete the bar.

Copy an Employee's day of time bars ~
-----------------------------------

By pointing the mouse at an Employees line with time, press
the right mouse button and the bars will be copied. At the
same time a message will be displayed "Holding time for copy".
While the message is displayed, you can copy this time to
any Employee's line that has no time in it by pointing at
that line and pressing the right mouse button. You may also
go to other days and repeat the process. To copy a new bar,
point to the "Holding time for copy" message and click to
reset, then pick up the next bar to be copied.

Move a time bar past midnight ~
-----------------------------

 Example: To enter time from 11 pm on day one, to 3 am day two.
Solution: Enter 4 hours in day one from 6 pm to 10 pm.
          Point the mouse to the first hour and move the
          beginning of the bar to 11 pm. The remaining time
          will now appear in day two.

Entering and changing Day Types ~
-------------------------------

Day Types may be changed directly by pointing the mouse and
clicking at the box to the left of the edit area and pressing
a valid Day Type character. You may also select "DayTypes"
from the menu on top. All valid Day Types will be displayed
for your selection. Pressing the spacebar deletes a Day Type.







Dual Assignments ~
----------------

For Employees that consistently have dual assignments,
(Cook in the morning and Cashiers in the afternoon),
you may consider entering them twice, than schedule them
after a sort on Employee number to prevent overlapping time
schedules.

Copy a Department Day Schedule ~
------------------------------

After you have completed the schedule for a day, you can copy
that schedule to any other day if that day has no scheduled
time in it.
            1 - Go to the day to copy to.
            2 - Select Copy from the menu.
            3 - Select the day to copy from.

Repeat a weekly schedule ~
------------------------

Many organizations have rotating schedules that repeat
themselves every 2, 3 or 4 weeks.
Make up the week one schedule by entering all the time
without Day Types like vacations etc.
Save the schedule by selecting "Save as.." from the menu
and enter 1-1-11 as the file name. Save week two as 2-2-22.
This way, these files are always listed on top of the file
choices for selection. After loading the file for a new
schedule, make all the changes and add vacations etc.
Save the file as the date for that week.
Inactive Employees will not be loaded if they are included
in a schedule from the past. They will also be filtered
out and not saved on the new schedule.

The Time and Wages distribution Graph ~
-------------------------------------

By clicking on the "Graph" button in the Editor, the Time
and Wages distribution will be shown. Initially, all
assignments will be displayed. By entering each assignment,
the graph will show more detail. Each 15 Minute period
is represented with a graph line. The sequence starting with
the first 15 minutes each hour is Red, White, Blue, Black.
Salaried Employee are excluded from any currency
calculations, only hourly Employees are reflected in the
currency totals, time includes all Employees. A report with
the 15 Minutes stats will print when you click on "Print".

Flag under-age Employees ~

Government places limitations on the number of hours and
the time of day that employees are allowed to work if the
employee is below a lawful age.
In the Option Menu, you may set the employee age. In the
employee individual Editor, a warning flag will advise

the scheduler if the currently displayed employee is below
that age, based on the current system date and the date of
birth in the Employee Record.


Password protection ~

If you are a registered user, you will have access to the
password function. Passwords, once entered will restrict
access to the employee and schedule files. There are two
levels of password access:

                  o - General Manager password
                  o - Department Managers passwords (2)

The first password to enter will set the General Manager's
password. The General Manager may enter up to two passwords
per Department, and give them to the Department Managers as
a temporary password. These passwords can then be changed
by the Department Manager. By entering a Department Manager
password, that manager has access to only that department.
The General Manager will retain access to all departments.
If the General Manager makes his/her password a blank, the
password function is bypassed until a new password is
entered. The General Manager may hide all Salaries and
Wages from one or both Department Managers.

Reports ~
-------

Two types of report are available, one Employee register
that prints the Employee name and other information that is
requested, the other is a requested Weekly Schedule to be
printed.
The Schedules are printed from the Main Editor screen all
other printing is done from the Opening screen.

Schedule file names ~
-------------------

When a schedule is saved, the name of the file is based on the
Week-starting or Week-ending date (Based on option selection).
In order to list the file selection in date sequence, the
file name is: YY-MM-DD.dayname regardless of the International
date settings in the Windows Control panel.
So a file named 94-12-1.thu is dated December 1, 1994, which
is on a Thursday as reflected in the file name extension.

Print Schedules ~
---------------

Tree printing formats are offered.  One format will print
the schedules vertically with Times and Currencies to the
right and a format that shows the Days from left to right.
The three formats needs special font considerations, since
the text must fit the paper to print on. You may select either
Portrait or Landscape from Printer setup before starting the

printing process. For most printers, a Courier font
Pointsize 8 will be fine.  If you select a font that does
not fit, you will be advised with a message.
If you print to a Matrix printer, select the Courier 17.1
font. That is the font that used to print condensed in DOS.
A Character based schedule is offered to save time, especially
on Matrix printers, for Laser printers it does not make that
much difference.  The Graphic based option has a better
appearance. The smaller the Font size, the more names will
print on a single page! The printer must have enough memory.
The print-order is the same as the schedule displayed on
the screen. As an option you may print Time and or Currency
totals as  part of the output. With the exception of the
Bar Chart report, daily times and currencies are for shifts
and include any time and wages past midnight.
The Bar Chart report time is for the 24 hours period shown.
The daily totals for some Employees may be off slightly
if partial hours are worked, causing rounding errors.
Time and currency totals do not include any "break times"
that were set up in the Editor.
No adjustments are made for "Overtime", the currency totals
are strictly time scheduled, multiplied by the hourly rate.
At your option you may direct your printing direct or through
the Print Manager in Windows.
If you wish to print on another system, connect your printer
from the current printing port (like LPT1:) to FILE via the
Control Panel and name the file to a floppy, then copy the
file to the printer port from the floppy in the new system.

Departments ~
-----------

To decide the Department size, consider:

   A Department should include all the Employees that would be
   the responsibility of a Manager. Employees should consistently
   be a part of that Managers operating unit.

The Department related activity is located under menu item
"Scheduling Employees" on the Opening screen.  You may have up
to 99 Department, and up to 150 Employees per Department.

Employees ~
---------

Employees are entered in the Opening screen. While entering or
changing an Employee record, use the Tab or Enter key to
advance through the Employee screen or hold down the Shift key
and press the Tab key for reverse tabbing.
Instructions on the bottom will help you entering information.
Employees are divided in Active and Inactive Employees.
The Editors will only display Active Employees.  If you display
an old schedule and an Employee on that schedule was deleted
or inactive, when you save the schedule, that Employee will
not be included in the schedule. Seven lines are reserved to
enter the Employee's availability to work. These lines are
available in the Editors to help you to schedule.

Hourly and Salaried Employees ~
-----------------------------
The rate of pay option is divided between Hourly wages and
Weekly salaries. Salary totals are not related to time worked.
Time worked totals include both Hourly and Weekly Employees.

Employee availability for work ~
------------------------------

The availability for an Employee to work may be filled in when
entering a new or changing the current Employee information.
This information will be available as you make the schedule.
On the individual Editor it is automatically displayed, on the
Department Editor this information can be recalled by clicking
the mouse on the total box next to the Employee name.

About Dates ~
-----------

Dates entered in the Employee record, conform to the International
setting in the Windows Control Panel. You may enter: 2 apr 94 or:
2-Apr-94 or: apr 2, 1994 or any combination for April 2, 1994.
If the year is omitted, the current system year is inserted.
If there is an error in the date format, a message will alert you.

To start the program after installation ~
---------------------------------------

After installation, you may select the Schedule Employee for
Windows Icon from the Program Manager Window, or select "Run"
and answer Path\SEW to the file prompt.

Technical information ~
---------------------

This application creates Directories for new Departments as
needed. The "Example Organization" is installed in Directory
SEW1DIR during the install process. Subsequent Directories
will be named automatically when new Departments are installed
like SEW2DIR, SEW3DIR etc. When a Department is deleted, the
Directory will also be deleted and reinstalled as new
Department is created. The associated Directory is displayed
on the Department Window when "Change Department" is
selected from the menu. The files HEADING.DAT, EMPLREST.DAT
and Schedule files (YY-MM-DD.day) in each Directory must
always be transferred or backed up together since they contain
pointers. In the WINDOWS\SYSTEM Directory, the following files
must be present:

THREED.VBX, CSCALNDR.VBX, CMDIALOG.VBX,
VBRUN300.DLL, COMMDLG.DLL QPRO200.DLL.







Registration ~
------------

The registration fee is $39.50 in US currency. Registrations
will be acknowledged by mail within 30 days of receipt and
confirms the authorized use of the program. A confidential
registration code that may be entered under Options in the
opening menu will alter the opening screen so the shareware
message will no longer be displayed. The registration code
identifies the licensed user and must be protected.
Any updates will be included if INVOICE.DOC is used for
version determination.
Agreements known as "Site License Agreements" providing for
unlimited usage for one location (by address) are in effect
after the registration of three regular registrations
(to the amount of $118.50) have been submitted.
Many recommendations for new features and also operational
improvements come from our users. With your registration,
include any remarks you wish, we will look at and evaluate
every suggestion made and they are always welcome!

Technical Support ~
-----------------

After the registration has been received by Guia
International, the User is entitled to free telephone or
written support for a period of 90 Days. Any extended support
may be negotiated thereafter but shall at minimum be in
conformance with the regulations of the Association of
Shareware Professionals (ASP).
For assistance, call (404)926-6085.

Acknowledgements ~
----------------

PS/1 and PS/2 is a registered trademark of International
Business Machines Corporation, Armonk, NY.
Windows is a registered trademark of Microsoft Corp.
Redmond, WA.

Program License Agreement ~
-------------------------

Read the following terms and conditions before using the
program. By using or accepting this program, you indicate
that you accept the terms and conditions set forth bellow.

Guia International Corp. provides this program and licenses
its use. You assume responsibility for the selection of these
programs to achieve your intended results, and for the
installation, use and results obtained from the programs.

The registration code when issued, is for the use of the
registered user only for a single system or multiple systems
in case of a "Site License Agreement".



Limited warranty ~
----------------

The programs are provided without warranty either expressed
or implied, including but not limited to the implied
warranties of merchantability and fitness for a particular
purpose. In no event, will Guia International Corp. be liable
to you for any damages, including any lost profits, lost
savings or other lost incidental or consequential damages
arising out of the use or inability to use such programs even
if Guia International Corp. or any of its agents or dealers
had been advised of the possibility of such damages.
When you start using the program as a production tool, the
Opening Window fee is due to Guia International for each
system the program is installed on.  The acknowledgement
returned to you will serve as your license for authorized
usage. You are free to duplicate the application and make
distributions providing that no alterations are made with the
exception of compression to facilitate electronic
transmission. You acknowledge that you have read this
agreement, understand it and agree to be bound by its terms
and conditions.
